classification
Title: cPickle recursion problem
Type: Stage:
Components: Library (Lib) Versions: Python 3.0, Python 2.6
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: Nosy List: cuerty, cyhawk, facundobatista
Priority: normal Keywords: patch

Created on 2008-06-21 21:10 by cuerty, last changed 2008-06-25 19:25 by facundobatista. This issue is now closed.

Files
File name Uploaded Description Edit
cpickle-r64448.diff cuerty, 2008-06-21 21:10 Increment nesting while saving dict and lists.
Messages (5)
msg68544 - (view) Author: Angel Freire (cuerty) Date: 2008-06-21 21:10
A single Picklerobject->nesting++ will not take into consideration the
stack overhead caused by calls from
save->save_{list,dict}->batch{list,dict}.
msg68567 - (view) Author: Facundo Batista (facundobatista) * (Python committer) Date: 2008-06-22 15:30
What is this fixing? Could you please provide a test cases that fails
without this patch?

Thank you!!
msg68595 - (view) Author: Daniel Darabos (cyhawk) Date: 2008-06-22 23:25
Added lines have to come after the "static char..." declarations to
comply with C.

Unfortunately I am not experienced with building Python on Windows, so I
could not really try the patch, sorry. (I can get a cPickle.pyd, but it
does not replace the built-in cPickle module.)

Anyway, thanks for the patch, I hope it fixes "my" issue (#2702).
msg68602 - (view) Author: Facundo Batista (facundobatista) * (Python committer) Date: 2008-06-23 01:05
Applied this patch.

Daniel, don't know about that "rule"... I didn't get any warning with gcc...

Anyway, this fixes the issue of #2702.

Thanks cuerty!
msg68744 - (view) Author: Facundo Batista (facundobatista) * (Python committer) Date: 2008-06-25 19:25
I'm reverting this patch, see issue #3179.
History
Date User Action Args
2008-06-25 19:25:11facundobatistasetmessages: + msg68744
2008-06-23 01:05:35facundobatistasetstatus: open -> closed
resolution: accepted
messages: + msg68602
2008-06-22 23:25:29cyhawksetnosy: + cyhawk
messages: + msg68595
2008-06-22 15:30:26facundobatistasetnosy: + facundobatista
messages: + msg68567
2008-06-21 21:10:50cuertycreate